Subject: bug#41877: Bug: feature/native-comp on MacOs Catalina w.r.t. subr-x.eln

From: Andrea Corallo <[email-masked]>
Date: Sat, 26 Sep 2020 13:57:14 +0000

Gregor Eeckels <[email-masked]> writes:

> Hello. I am experiencing a weird error.
>
> Native elisp load failed:
> "/Applications/Emacs.app/Contents/Resources/lisp/emacs-lisp/eln-x86_64-apple-darwin19.5.0-0d5d423ea4500a50/subr-x.eln",
> "dlopen
> (/Applications/Emacs.app/Contents/Resources/lisp/emacs-lisp/eln-x86_64-apple-darwin19.5.0-0d5d423ea4500a50/subr-x.eln,
> 1): no suitable image found.  Did find:
> /Applications/Emacs.app/Contents/Resources/lisp/emacs-lisp/eln-x86_64-apple-darwin19.5.0-0d5d423ea4500a50/subr-x.eln:
> file too short
> /Applications/Emacs.app/Contents/Resources/lisp/emacs-lisp/eln-x86_64-apple-darwin19.5.0-0d5d423ea4500a50/subr-x.eln:
> file too short"
>
> I built emacs using this guide carefully: https://github.com/shshkn/emacs.d/blob/master/docs/nativecomp.md
>
> Everything worked out, but now this causes errors during the first run and then emacs fails to load because of the same
> error after rebooting. The mentioned file subr-x.eln is empty.
>
> I did create the symbolic link from Resources/elisp to elisp in the Emacs.app directory.
> Thank you for your assistance.

Hi Gregor,

could you tell if this issue still applies to the current branch?

Thanks!

  Andrea